> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1rficases attachments



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/rfi/cases/{id}/attachments
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/rfi/cases/{id}/attachments:
    post:
      tags:
        - RFI
      operationId: RfiController_uploadAttachment
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RfiUploadAttachmentDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RfiUploadedAttachmentEntity'
      security:
        - bearer: []
components:
  schemas:
    RfiUploadAttachmentDto:
      type: object
      properties:
        fileName:
          type: string
          maxLength: 255
        mimeType:
          type: string
        content:
          type: string
          maxLength: 13981016
          description: Base64-encoded file content (without data URL prefix).
      required:
        - fileName
        - content
    RfiUploadedAttachmentEntity:
      type: object
      properties:
        key:
          type: string
        fileName:
          type: string
        mimeType:
          type: string
          nullable: true
        sizeBytes:
          type: number
      required:
        - key
        - fileName
        - mimeType
        - sizeBytes
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````